### Hierarchy

- TableHeadCheckbox

## Index

### Inputs

- checked
- indeterminate
- name
- size
- skeleton
- ariaLabel

### Outputs

- change

### Constructors

- constructor

### Properties

- _ariaLabel
- change
- checked
- hostClass
- i18n
- indeterminate
- name
- size
- skeleton
- tableSelectAllCount

### Accessors

- ariaLabel

### Methods

- getAriaLabel

## Constructors

### constructor

- new TableHeadCheckbox(i18n: I18n): TableHeadCheckbox

- - Defined in src/table/head/table-head-checkbox.component.ts:59

  #### Parameters

  - ##### i18n: I18n

  #### Returns TableHeadCheckbox

## Properties

### Protected _ariaLabel

_ariaLabel: Overridable = this.i18n.getOverridable("TABLE.CHECKBOX_HEADER")

- Defined in src/table/head/table-head-checkbox.component.ts:59

### change

@Output()
change: EventEmitter<void> = new EventEmitter<void>()

- Defined in src/table/head/table-head-checkbox.component.ts:55

### checked

@Input()
checked: boolean = false

- Defined in src/table/head/table-head-checkbox.component.ts:38

### hostClass

@HostBinding({"hostPropertyName":"class.bx--table-column-checkbox"})
hostClass: boolean = true

- Defined in src/table/head/table-head-checkbox.component.ts:57

### Protected i18n

i18n: I18n

- Defined in src/table/head/table-head-checkbox.component.ts:61

### indeterminate

@Input()
indeterminate: boolean = false

- Defined in src/table/head/table-head-checkbox.component.ts:40

### name

@Input()
name: string = `select-all-${TableHeadCheckbox.tableSelectAllCount++}`

- Defined in src/table/head/table-head-checkbox.component.ts:44

### size

@Input()
size: TableRowSize = "md"

- Defined in src/table/head/table-head-checkbox.component.ts:36

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/table/head/table-head-checkbox.component.ts:42

### Static Private tableSelectAllCount

tableSelectAllCount: number = 0

- Defined in src/table/head/table-head-checkbox.component.ts:32

## Accessors

### ariaLabel

@Input()
ariaLabel:

- Defined in src/table/head/table-head-checkbox.component.ts:47
- Defined in src/table/head/table-head-checkbox.component.ts:51

## Methods

### getAriaLabel

- getAriaLabel(): Observable<string>

- - Defined in src/table/head/table-head-checkbox.component.ts:63

  #### Returns Observable<string>

Generated using TypeDoc